Bug 1413766 - [abrt] gnome-shell: meta_window_wayland_move_resize_internal(): gnome-shell killed by SIGFPE
Summary: [abrt] gnome-shell: meta_window_wayland_move_resize_internal(): gnome-shell k...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ad75dce2c6546e21fa26df5c299...
: 1441435 1461173 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 22:24 UTC by Jonathan Briggs
Modified: 2017-12-15 03:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:54:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.09 KB, text/plain)
2017-01-16 22:24 UTC, Jonathan Briggs
no flags Details
File: cgroup (326 bytes, text/plain)
2017-01-16 22:24 UTC, Jonathan Briggs
no flags Details
File: core_backtrace (5.07 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: dso_list (25.09 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: environ (1.03 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: maps (143.75 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: mountinfo (4.72 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: open_fds (7.88 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details
File: var_log_messages (1.25 KB, text/plain)
2017-01-16 22:25 UTC, Jonathan Briggs
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1525757 1 None None None 2021-01-20 06:05:38 UTC

Internal Links: 1525757

Description Jonathan Briggs 2017-01-16 22:24:54 UTC
Description of problem:
The laptop screen and the external display were asleep from idle timeout.
I woke up the screens and entered my password into the unlock prompt. 
Then it crashed back to GDM login.

And looking at where it crashed with an invalid width (0?), I believe this is a race condition with the external monitor coming back up. It always flickers a bit and I think it's doing some DisplayPort resets and failure to read EDID.

Version-Release number of selected component:
gnome-shell-3.22.2-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_move_resize_internal
executable:     /usr/bin/gnome-shell
global_pid:     6514
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 meta_window_wayland_move_resize_internal at wayland/meta-window-wayland.c:207
 #1 meta_window_move_resize_internal at core/window.c:3722
 #2 meta_window_wayland_move_resize at wayland/meta-window-wayland.c:657
 #3 xdg_toplevel_role_commit at wayland/meta-wayland-xdg-shell.c:634
 #4 meta_wayland_surface_role_commit at wayland/meta-wayland-surface.c:1886
 #5 apply_pending_state at wayland/meta-wayland-surface.c:798
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:525
 #8 wl_closure_invoke at src/connection.c:935
 #9 wl_client_connection_data at src/wayland-server.c:371

Comment 1 Jonathan Briggs 2017-01-16 22:24:58 UTC
Created attachment 1241433 [details]
File: backtrace

Comment 2 Jonathan Briggs 2017-01-16 22:24:59 UTC
Created attachment 1241434 [details]
File: cgroup

Comment 3 Jonathan Briggs 2017-01-16 22:25:00 UTC
Created attachment 1241435 [details]
File: core_backtrace

Comment 4 Jonathan Briggs 2017-01-16 22:25:02 UTC
Created attachment 1241436 [details]
File: dso_list

Comment 5 Jonathan Briggs 2017-01-16 22:25:03 UTC
Created attachment 1241437 [details]
File: environ

Comment 6 Jonathan Briggs 2017-01-16 22:25:03 UTC
Created attachment 1241438 [details]
File: limits

Comment 7 Jonathan Briggs 2017-01-16 22:25:05 UTC
Created attachment 1241439 [details]
File: maps

Comment 8 Jonathan Briggs 2017-01-16 22:25:05 UTC
Created attachment 1241440 [details]
File: mountinfo

Comment 9 Jonathan Briggs 2017-01-16 22:25:06 UTC
Created attachment 1241441 [details]
File: namespaces

Comment 10 Jonathan Briggs 2017-01-16 22:25:07 UTC
Created attachment 1241442 [details]
File: open_fds

Comment 11 Jonathan Briggs 2017-01-16 22:25:08 UTC
Created attachment 1241443 [details]
File: proc_pid_status

Comment 12 Jonathan Briggs 2017-01-16 22:25:09 UTC
Created attachment 1241444 [details]
File: var_log_messages

Comment 13 Benjamin Xiao 2017-04-12 00:08:45 UTC
I get this crash all the time when connecting or disconnecting my X1 Carbon 4th gen to my dock.

Comment 14 Benjamin Xiao 2017-04-12 00:09:30 UTC
*** Bug 1441435 has been marked as a duplicate of this bug. ***

Comment 15 Jonathan Briggs 2017-07-11 20:39:08 UTC
*** Bug 1461173 has been marked as a duplicate of this bug. ***

Comment 16 Jonathan Briggs 2017-07-12 18:09:42 UTC
Filed this upstream at gnome.org as https://bugzilla.gnome.org/show_bug.cgi?id=784867

Comment 17 Stewart Smith 2017-08-08 04:43:59 UTC
Similar problem has been detected:

Plugging in external monitor and dock (shortly after coming out of suspend)

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_move_resize_internal
executable:     /usr/bin/gnome-shell
journald_cursor: s=eb655da50c454443af9a7da892a3ff40;i=95b70;b=25ed51036eef4bb6ab9462ab63854763;m=3153e399f4;t=556367e4bfa25;x=8c89d2a0c0814f76
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 8
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 Stewart Smith 2017-08-22 01:30:40 UTC
Similar problem has been detected:

Plugging in dock connector and external monitor after resume

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_move_resize_internal
executable:     /usr/bin/gnome-shell
journald_cursor: s=2305e4b919924d61af0db7d841edf2ee;i=4bf05;b=d46d99d87c8b4e3c8e9d2b4597c57a72;m=4d012614eb;t=5574d616b4eea;x=ccd4d43ab1a34c43
kernel:         4.11.11-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 8
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Kyle 2017-09-07 19:12:18 UTC
Similar problem has been detected:

Locked the desktop and left the laptop idle for >30 minutes. Might have gone into sleep.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_move_resize_internal
executable:     /usr/bin/gnome-shell
journald_cursor: s=bed3b99105df4996b1bc4d123ebac970;i=29d73;b=a52d2b61c79e4d118be8b6170b56e4b8;m=8668df8c9;t=5589deda3d4eb;x=c6e0c0c07d94c3be
kernel:         4.12.9-300.fc26.x86_64
package:        gnome-shell-3.24.3-1.fc26
reason:         gnome-shell killed by signal 8
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 Frank van Lankvelt 2017-10-30 08:57:33 UTC
Similar problem has been detected:

Closing laptop lid without external screens
Opening lid with external screens attached

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: meta_window_wayland_move_resize_internal
executable:     /usr/bin/gnome-shell
journald_cursor: s=e25697e3096e469785f262050f761e9b;i=17519;b=90017a6c62d54df190a13a0c7bde8899;m=1be85d2716;t=55cbf8dfc76d6;x=d58a728e67546acf
kernel:         4.12.14-300.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGFPE
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Fedora End Of Life 2017-11-16 14:37:10 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 22 Fedora End Of Life 2017-12-12 10:54:50 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.